Subject: Re: bug#13495: Compilation fails on Mac OS X 10.8.0

From: Paul Eggert <[email-masked]>
Date: Sun, 03 Feb 2013 22:43:13 -0800

On 01/28/2013 11:30 AM, Assaf Gordon wrote:
> 1. This code isn't used - due to the combination of #if's.
> The resulting "lib/string.h" contains:
>     /* Copy no more than N bytes of SRC to DST, returning a pointer past the
>        last non-NUL byte written into DST.  */
>     #if 1
>     # if 0 || (!0 && defined stpncpy)
>     #  if !(defined __cplusplus && defined GNULIB_NAMESPACE)
>     #   undef stpncpy
>     #   define stpncpy rpl_stpncpy
>     #  endif
>     # endif
> 
> And this isn't used.

Well, I'm lost then, because I thought that your platform
(when using the compiler options in question)
did a #define strpncpy(...) ..., which should
cause the above undef+define to trigger.

> 2. I took the two lines (undef+defined) and put them outside the #if's
> (and verified they were processed, using #error) - but they still did not fix the compilation error.

Sorry, I'm lost here too.  I'm afraid more detective work will
need to be done on your end.